Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# TextGraphic Class Reference

This defines a special model that has been constructed for the purposes of embedding an arbitrary graphic image within a text paragraph. More...

List of all members.

## Public Member Functions
| TextGraphic ()
| TextGraphic (NodePath const model, VBase4 const frame)
| TextGraphic (NodePath const model, float left, float right, float bottom, float top)
VBase4 | getFrame ()
| Returns the frame specified for the graphic.
bool | getInstanceFlag ()
| Returns the instance_flag.
NodePath | getModel ()
| Returns the NodePath associated with the graphic, that renders the desired image.
| setFrame (VBase4 const frame)
| Specifies the (left, right, bottom, top) bounding frame for the graphic.
| setFrame (float left, float right, float bottom, float top)
| Specifies the (left, right, bottom, top) bounding frame for the graphic.
| setInstanceFlag (bool instance_flag)
| Sets the instance_flag.
| setModel (NodePath const model)
| Changes the NodePath associated with the graphic.

## Detailed Description

This defines a special model that has been constructed for the purposes of embedding an arbitrary graphic image within a text paragraph.

It can be any arbitrary model, though it should be built along the same scale as the text, and it should probably be at least mostly two-dimensional. Typically, this means it should be constructed in the X-Z plane, and it should have a maximum vertical (Z) height of 1.0.

The frame specifies an arbitrary bounding volume in the form (left, right, bottom, top). This indicates the amount of space that will be reserved within the paragraph. The actual model is not actually required to fit within this rectangle, but if it does not, it may visually overlap with nearby text.

## Constructor & Destructor Documentation

TextGraphic | ( |  | ) |

TextGraphic | ( | NodePath const | model,
|  | VBase4 const | frame
| ) |  |

TextGraphic | ( | NodePath const | model,
|  | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top
| ) |  |

## Member Function Documentation

VBase4 getFrame | ( |  | ) |

Returns the frame specified for the graphic.

This is the amount of space that will be reserved for the graphic when it is embedded in a text paragraph, in the form (left, right, bottom, top).

The actual graphic, as rendered by the NodePath specified via set_model(), should more or less fit within this rectangle. It is not required to fit completely within it, but if it does not, it may visually overlap with nearby text.

bool getInstanceFlag | ( |  | ) |

Returns the instance_flag.

See set_instance_flag().

NodePath getModel | ( |  | ) |

Returns the NodePath associated with the graphic, that renders the desired image.

setFrame | ( | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top
| ) |  |

Specifies the (left, right, bottom, top) bounding frame for the graphic.

See get_frame().

setFrame | ( | VBase4 const | frame | ) |

Specifies the (left, right, bottom, top) bounding frame for the graphic.

See get_frame().

setInstanceFlag | ( | bool | instance_flag | ) |

Sets the instance_flag.

When this is true, the graphic is directly instanced to the scene graph whenever it appears; when it is false, the graphic is copied. The default is false, which is best for most applications. You might need to set it true for special kinds of "graphics" like interactive elements, for instance a PGEntry.

setModel | ( | NodePath const | model | ) |

Changes the NodePath associated with the graphic.

This NodePath should contain geometry that will render the desired graphic image.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties